org.icefaces.ace.component.dnd

## Class DraggableTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.icefaces.ace.component.dnd.DraggableTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class DraggableTag
      extends javax.faces.webapp.UIComponentELTag

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from class javax.faces.webapp.UIComponentTagBase

      `log`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DraggableTag()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `doEndTag()`
    `int` | `doStartTag()`
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()` Release any allocated tag handler attributes.
    `void` | `setAxis(javax.el.ValueExpression axis)`
    `void` | `setBinding(javax.el.ValueExpression binding)`
    `void` | `setContainment(javax.el.ValueExpression containment)`
    `void` | `setCursor(javax.el.ValueExpression cursor)`
    `void` | `setDatasource(javax.el.ValueExpression datasource)`
    `void` | `setDisabled(javax.el.ValueExpression disabled)`
    `void` | `setDragOnly(javax.el.ValueExpression dragOnly)`
    `void` | `setDragStartListener(javax.el.MethodExpression dragStartListener)`
    `void` | `setFor(javax.el.ValueExpression forValue)`
    `void` | `setGrid(javax.el.ValueExpression grid)`
    `void` | `setHandle(javax.el.ValueExpression handle)`
    `void` | `setHelper(javax.el.ValueExpression helper)`
    `void` | `setId(javax.el.ValueExpression id)`
    `void` | `setOpacity(javax.el.ValueExpression opacity)`
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setRendered(javax.el.ValueExpression rendered)`
    `void` | `setRevert(javax.el.ValueExpression revert)`
    `void` | `setScope(javax.el.ValueExpression scope)`
    `void` | `setSnap(javax.el.ValueExpression snap)`
    `void` | `setSnapMode(javax.el.ValueExpression snapMode)`
    `void` | `setSnapTolerance(javax.el.ValueExpression snapTolerance)`
    `void` | `setStack(javax.el.ValueExpression stack)`
    `void` | `setWidgetVar(javax.el.ValueExpression widgetVar)`
    `void` | `setZindex(javax.el.ValueExpression zindex)`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doInitBody, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### DraggableTag

          public DraggableTag()

  - ### Method Detail

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### setAxis

          public void setAxis(javax.el.ValueExpression axis)

    - #### setBinding

          public void setBinding(javax.el.ValueExpression binding)

      Overrides:
        `setBinding` in class `javax.faces.webapp.UIComponentELTag`

    - #### setContainment

          public void setContainment(javax.el.ValueExpression containment)

    - #### setCursor

          public void setCursor(javax.el.ValueExpression cursor)

    - #### setDatasource

          public void setDatasource(javax.el.ValueExpression datasource)

    - #### setDisabled

          public void setDisabled(javax.el.ValueExpression disabled)

    - #### setDragOnly

          public void setDragOnly(javax.el.ValueExpression dragOnly)

    - #### setDragStartListener

          public void setDragStartListener(javax.el.MethodExpression dragStartListener)

    - #### setFor

          public void setFor(javax.el.ValueExpression forValue)

    - #### setGrid

          public void setGrid(javax.el.ValueExpression grid)

    - #### setHandle

          public void setHandle(javax.el.ValueExpression handle)

    - #### setHelper

          public void setHelper(javax.el.ValueExpression helper)

    - #### setId

          public void setId(javax.el.ValueExpression id)

    - #### setOpacity

          public void setOpacity(javax.el.ValueExpression opacity)

    - #### setRendered

          public void setRendered(javax.el.ValueExpression rendered)

      Overrides:
        `setRendered` in class `javax.faces.webapp.UIComponentELTag`

    - #### setRevert

          public void setRevert(javax.el.ValueExpression revert)

    - #### setScope

          public void setScope(javax.el.ValueExpression scope)

    - #### setSnap

          public void setSnap(javax.el.ValueExpression snap)

    - #### setSnapMode

          public void setSnapMode(javax.el.ValueExpression snapMode)

    - #### setSnapTolerance

          public void setSnapTolerance(javax.el.ValueExpression snapTolerance)

    - #### setStack

          public void setStack(javax.el.ValueExpression stack)

    - #### setWidgetVar

          public void setWidgetVar(javax.el.ValueExpression widgetVar)

    - #### setZindex

          public void setZindex(javax.el.ValueExpression zindex)

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `javax.faces.webapp.UIComponentELTag`

    - #### doStartTag

          public int doStartTag()
                         throws javax.servlet.jsp.JspException

      Specified by:
        `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `doStartTag` in class `javax.faces.webapp.UIComponentClassicTagBase`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### doEndTag

          public int doEndTag()
                       throws javax.servlet.jsp.JspException

      Specified by:
        `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `doEndTag` in class `javax.faces.webapp.UIComponentClassicTagBase`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### release

          public void release()

      Release any allocated tag handler attributes.

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `javax.faces.webapp.UIComponentELTag`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.